Bug 104135 - Bug in /usr/lib/rpm/perl.prov
Bug in /usr/lib/rpm/perl.prov
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: rpm-build (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-10 09:58 EDT by Giuseppe Raimondi
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-14 23:35:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Giuseppe Raimondi 2003-09-10 09:58:30 EDT
Description of problem:
[root@bonita rpm]# diff -uraN perl.prov.orig perl.prov
- --- perl.prov.orig      2003-09-09 17:59:26.000000000 +0200
+++ perl.prov   2003-09-09 17:59:36.000000000 +0200
@@ -166,7 +166,7 @@
     #  if we need to print it print it now.

     if ( m/^\s*\$RPM_Provides\s*=\s*["'](.*)['"]/i) {
- -      foreach $_ (spit(/\s+/, $1)) {
+      foreach $_ (split(/\s+/, $1)) {
        print "$_\n";
       }
     }

(The bug was that the function "split" was incorrectly written as "spit"!)

The bug meant that when generating RPMS, rpmbuild was not able to generate a 
list of extra "provides" defined using the $RPM_Provides variable.
This is useful when you want to generate a provide such as 
perl(IBW::VALIDATE::STANDARD), when the package name is just STANDARD.


Version-Release number of selected component (if applicable):
rpm-build-4.1-1.06 (RH80)
rpm-build-4.2-0.69 (RedHat 9)

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
    
Actual results:
The bug meant that when generating RPMS, rpmbuild was not able to generate a 
list of extra "provides" defined using the $RPM_Provides variable

Expected results:


Additional info:
bugfix provided
Comment 1 Jeff Johnson 2003-09-14 23:35:04 EDT
Yup. Checked into CVS in rpm-4_2 branch.

Note carefully that $RPM_Provides functionality
is not supported in the replacement for perl.prov,
perldeps.pl, hence WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.